﻿© 2008 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub WR6000 Select Channel
DATE:                  2008-10-07 15:03:22
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       71
=============================================================================
#
#  Procedure Author:
#        DFM, DAC
#
#  Model(s) Covered:
#        WaveRunner 6030, 6050, 6051, 6100, and 6200
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @Error = 0

  1.002  IF           @NumChan == 2

  1.003  IF           @Chan == 1
  1.004  MATH         @Ch1 = "ON";  @Ch2 = "OFF"
  1.005  ELSEIF       @Chan == 2
  1.006  MATH         @Ch1 = "OFF"; @Ch2 = "ON"
  1.007  ELSE
  1.008  DISP         @Chan must be 1 or 2.
  1.009  MATH         @Error = 1
  1.010  ENDIF

  1.011  ELSEIF       @NumChan == 4

  1.012  IF           @Chan == 1
  1.013  MATH         @Ch1 = "ON";  @Ch2 = "OFF"; @Ch3 = "OFF"; @Ch4 = "OFF"
  1.014  ELSEIF       @Chan == 2
  1.015  MATH         @Ch1 = "OFF"; @Ch2 = "ON";  @Ch3 = "OFF"; @Ch4 = "OFF"
  1.016  ELSEIF       @Chan == 3
  1.017  MATH         @Ch1 = "OFF"; @Ch2 = "OFF"; @Ch3 = "ON";  @Ch4 = "OFF"
  1.018  ELSEIF       @Chan == 4
  1.019  MATH         @Ch1 = "OFF"; @Ch2 = "OFF"; @Ch3 = "OFF"; @Ch4 = "ON"
  1.020  ELSE
  1.021  DISP         @Chan must be 1,2,3, or 4.
  1.022  MATH         @Error = 1
  1.023  ENDIF

  1.024  ELSE
  1.025  DISP         @NumChan must be 2 or 4.
  1.026  MATH         @Error = 1
  1.027  ENDIF

  1.028  END
